"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const services_1 = require("./services");
const dto_1 = require("./dto");
const public_decorator_1 = require("./decorators/public.decorator");
let AuthController = class AuthController {
    constructor(authService) {
        this.authService = authService;
    }
    login(authCredentials) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return this.authService.login(authCredentials);
        });
    }
    register(authCredentials) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return this.authService.register(authCredentials);
        });
    }
};
tslib_1.__decorate([
    common_1.Post('login'),
    tslib_1.__param(0, common_1.Body(common_1.ValidationPipe)),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [dto_1.AuthCredentialsDto]),
    tslib_1.__metadata("design:returntype", Promise)
], AuthController.prototype, "login", null);
tslib_1.__decorate([
    common_1.Post('register'),
    tslib_1.__param(0, common_1.Body(common_1.ValidationPipe)),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [dto_1.AuthCredentialsDto]),
    tslib_1.__metadata("design:returntype", Promise)
], AuthController.prototype, "register", null);
AuthController = tslib_1.__decorate([
    public_decorator_1.Public(),
    common_1.Controller('auth'),
    tslib_1.__metadata("design:paramtypes", [services_1.AuthService])
], AuthController);
exports.AuthController = AuthController;
//# sourceMappingURL=auth.controller.js.map