"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const passport_1 = require("@nestjs/passport");
let AuthGuard = class AuthGuard extends passport_1.AuthGuard('jwt') {
    constructor(reflector, type) {
        super(type);
        this.reflector = reflector;
    }
    canActivate(context) {
        const isHandlerPublic = this.reflector.get("isPublic", context.getHandler());
        const isControllerPublic = this.reflector.get("isPublic", context.getClass());
        if (isHandlerPublic || isControllerPublic) {
            return true;
        }
        return super.canActivate(context);
    }
};
AuthGuard = tslib_1.__decorate([
    common_1.Injectable(),
    tslib_1.__metadata("design:paramtypes", [core_1.Reflector, Object])
], AuthGuard);
exports.AuthGuard = AuthGuard;
//# sourceMappingURL=auth.guard.js.map