"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const jwt_1 = require("@nestjs/jwt");
const typeorm_1 = require("@nestjs/typeorm");
const user_repository_1 = require("../repositories/user.repository");
let AuthService = class AuthService {
    constructor(userRepository, jwtService) {
        this.userRepository = userRepository;
        this.jwtService = jwtService;
    }
    login(authCredentials) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const email = yield this.userRepository.validatePassword(authCredentials);
            if (!email) {
                throw new common_1.UnauthorizedException('Invalid Credentials');
            }
            const payload = { email };
            const token = this.jwtService.sign(payload);
            return { token };
        });
    }
    register(authCredentials) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return this.userRepository.register(authCredentials);
        });
    }
};
AuthService = tslib_1.__decorate([
    common_1.Injectable(),
    tslib_1.__param(0, typeorm_1.InjectRepository(user_repository_1.UserRepository)),
    tslib_1.__metadata("design:paramtypes", [user_repository_1.UserRepository,
        jwt_1.JwtService])
], AuthService);
exports.AuthService = AuthService;
//# sourceMappingURL=auth.service.js.map