"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const passport_1 = require("@nestjs/passport");
const passport_jwt_1 = require("passport-jwt");
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const user_repository_1 = require("../repositories/user.repository");
const auth_options_constant_1 = require("../auth-options.constant");
let JwtStrategy = class JwtStrategy extends passport_1.PassportStrategy(passport_jwt_1.Strategy) {
    constructor(userRepository, authOptions) {
        super({
            jwtFromRequest: passport_jwt_1.ExtractJwt.fromAuthHeaderAsBearerToken(),
            secretOrKey: authOptions.secret
        });
        this.userRepository = userRepository;
    }
    validate(payload) {
        const { email } = payload;
        const user = this.userRepository.findOne({ email });
        if (!user) {
            throw new common_1.UnauthorizedException();
        }
        else {
            return user;
        }
    }
};
JwtStrategy = tslib_1.__decorate([
    common_1.Injectable(),
    tslib_1.__param(0, typeorm_1.InjectRepository(user_repository_1.UserRepository)),
    tslib_1.__param(1, common_1.Inject(auth_options_constant_1.AUTH_OPTIONS)),
    tslib_1.__metadata("design:paramtypes", [user_repository_1.UserRepository, Object])
], JwtStrategy);
exports.JwtStrategy = JwtStrategy;
//# sourceMappingURL=jwt.strategy.js.map